Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
fficonfig.h File Reference

Go to the source code of this file.

## Macros
#define | HAVE_ALLOCA 1
#define | HAVE_MEMCPY 1
#define | HAVE_MEMORY_H 1
#define | HAVE_STDLIB_H 1
#define | HAVE_STRING_H 1
#define | HAVE_SYS_STAT_H 1
#define | HAVE_SYS_TYPES_H 1
#define | SIZEOF_DOUBLE 8
#define | SIZEOF_SIZE_T 4
#define | STACK_DIRECTION -1
#define | STDC_HEADERS 1
#define | FFI_HIDDEN

## Macro Definition Documentation

## ◆ FFI_HIDDEN

#define FFI_HIDDEN

Definition at line 27 of file fficonfig.h.

## ◆ HAVE_ALLOCA

#define HAVE_ALLOCA 1

Definition at line 1 of file fficonfig.h.

## ◆ HAVE_MEMCPY

#define HAVE_MEMCPY 1

Definition at line 2 of file fficonfig.h.

## ◆ HAVE_MEMORY_H

#define HAVE_MEMORY_H 1

Definition at line 3 of file fficonfig.h.

## ◆ HAVE_STDLIB_H

#define HAVE_STDLIB_H 1

Definition at line 4 of file fficonfig.h.

## ◆ HAVE_STRING_H

#define HAVE_STRING_H 1

Definition at line 5 of file fficonfig.h.

## ◆ HAVE_SYS_STAT_H

#define HAVE_SYS_STAT_H 1

Definition at line 6 of file fficonfig.h.

## ◆ HAVE_SYS_TYPES_H

#define HAVE_SYS_TYPES_H 1

Definition at line 7 of file fficonfig.h.

## ◆ SIZEOF_DOUBLE

#define SIZEOF_DOUBLE 8

Definition at line 13 of file fficonfig.h.

## ◆ SIZEOF_SIZE_T

#define SIZEOF_SIZE_T 4

Definition at line 17 of file fficonfig.h.

## ◆ STACK_DIRECTION

#define STACK_DIRECTION -1

Definition at line 20 of file fficonfig.h.

## ◆ STDC_HEADERS

#define STDC_HEADERS 1

Definition at line 22 of file fficonfig.h.